﻿using Infragistics.Controls.Grids;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            Loaded += MainWindow_Loaded;
        }

        private void MainWindow_Loaded(object sender, RoutedEventArgs e)
        {
            ObservableCollection<MyDataItem> col = new ObservableCollection<MyDataItem>();

            col.Add(new MyDataItem() { Name = "John Smith", Department = "HR", Salary = 52500, Email = "john@hotmail.com" });
            col.Add(new MyDataItem() { Name = "Mary Hernandez", Department = "Sales", Salary = 65100, Email = "MaryH@hotmail.com" });
            col.Add(new MyDataItem() { Name = "Barbara Bailey", Department = "Admin", Salary = 35750, Email = "BB@hotmail.com" });
            col.Add(new MyDataItem() { Name = "Margaret Jones", Department = "Admin", Salary = 37750, Email = "MargeJ@hotmail.com" });
            col.Add(new MyDataItem() { Name = "Bobby Jones", Department = "Accounting", Salary = 53250, Email = "BobbyJ@hotmail.com" });
            col.Add(new MyDataItem() { Name = "Jonathan Barclay", Department = "Board of Directors", Salary = 123000, Email = "JonathanB@hotmail.com" });
            col.Add(new MyDataItem() { Name = "Martha Beckingsale", Department = "Sales", Salary = 99700, Email = "MarthaB@hotmail.com" });
            col.Add(new MyDataItem() { Name = "Kate Shannon", Department = "Sales", Salary = 69000, Email = "KateS@hotmail.com" });

            this.xamGrid1.ItemsSource = col;
        }



        //protected override Style EvaluateCondition(object sourceDataObject, object sourceDataValue)
        //{
        //    LogViewerLineInfo lvli = sourceDataObject as LogViewerLineInfo;



        //    if (!_styles.ContainsKey(lvli.DisplayAttributes))
        //        _styles.Add(lvli.DisplayAttributes, CreateStyleFromDisplayAttributes(lvli.DisplayAttributes));

        //    return _styles[lvli.DisplayAttributes];
        //}

        //private Style CreateStyleFromDisplayAttributes(EOILogViewerDisplayAttributes eOILogViewerDisplayAttributes)
        //{
        //    Style style = new Style(typeof(ConditionalFormattingCellControl));
        //    style.Setters.Add(new Setter() { Property = ConditionalFormattingCellControl.ForegroundProperty, Value = new SolidColorBrush((Color)ColorConverter.ConvertFromString(eOILogViewerDisplayAttributes.ForegroundColor)) });
        //    style.Setters.Add(new Setter() { Property = ConditionalFormattingCellControl.BackgroundProperty, Value = new SolidColorBrush((Color)ColorConverter.ConvertFromString(eOILogViewerDisplayAttributes.BackgroundColor)) });
        //    style.Setters.Add(new Setter() { Property = ConditionalFormattingCellControl.VerticalAlignmentProperty, Value = VerticalAlignment.Center });

        //    return style;
        //}



    }

    public class MyDataItem : INotifyPropertyChanged
    {
        private string name;
        private string department;
        private int salary;
        private string email;

        public string Name
        {
            get { return name; }
            set { name = value; OnPropertyChanged("Name"); }
        }

        public string Department
        {
            get { return department; }
            set { department = value; OnPropertyChanged("Department"); }
        }

        public int Salary
        {
            get { return salary; }
            set { salary = value; OnPropertyChanged("Salary"); }
        }

        public string Email
        {
            get { return email; }
            set { email = value; OnPropertyChanged("Email"); }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        public void OnPropertyChanged(string propName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged.Invoke(this, new PropertyChangedEventArgs(propName));
            }
        }
    }

}
